Module | TkBindCore
In: | tk/lib/tk.rb

### Methods

bind bind_append bind_remove bindinfo

### Public Instance methods

bind(context, *args)

def bind(context, cmd=Proc.new, *args)

      Tk.bind(self, context, cmd, *args)

end

[Source]

    # File tk/lib/tk.rb, line 2346
      def bind(context, *args)
        # if args[0].kind_of?(Proc) || args[0].kind_of?(Method)
        if TkComm._callback_entry?(args[0]) || !block_given?
          cmd = args.shift
        else
          cmd = Proc.new
        end
        Tk.bind(self, context, cmd, *args)
      end

bind_append(context, *args)

def bind_append(context, cmd=Proc.new, *args)

      Tk.bind_append(self, context, cmd, *args)

end

[Source]

    # File tk/lib/tk.rb, line 2359
      def bind_append(context, *args)
        # if args[0].kind_of?(Proc) || args[0].kind_of?(Method)
        if TkComm._callback_entry?(args[0]) || !block_given?
          cmd = args.shift
        else
          cmd = Proc.new
        end
        Tk.bind_append(self, context, cmd, *args)
      end

bind_remove(context)

[Source]

    # File tk/lib/tk.rb, line 2369
      def bind_remove(context)
        Tk.bind_remove(self, context)
      end

bindinfo(context=nil)

[Source]

    # File tk/lib/tk.rb, line 2373
      def bindinfo(context=nil)
        Tk.bindinfo(self, context)
      end

[Validate]